@ECHO OFF

REM ====================================================================
REM CGALib - Watcom C Version.
REM Project make utility.
REM
REM Copyright (C) Damian Walker 2020.
REM Created 29-Jun-2020.

REM -- Set the environment
PATH z:\;c:\pcc12d
SET pcc=c:\pcc12d\
SET include=inc\;c:\pcc12d\

REM -- Compile the modules
cd inc
pcc \src\demo o\obj\demo
if errorlevel 1 goto cdend
echo.
pcc \src\makefont o\obj\makefont
if errorlevel 1 goto cdend
echo.
pcc \src\makefont o\obj\makebit
if errorlevel 1 goto cdend
echo.
pcc \src\screen o\obj\screen
if errorlevel 1 goto cdend
copy \obj\screen.o \cgalib
pcc \src\bitmap o\obj\bitmap
if errorlevel 1 goto cdend
copy \obj\bitmap.o \cgalib
pcc \src\font o\obj\font
if errorlevel 1 goto cdend
copy \obj\font.o \cgalib
cd ..

REM -- Link the modules
pccl \obj\demo \obj\screen \obj\bitmap \obj\font %pcc%pcio -l%pcc% -o\cgalib\demo
if errorlevel 1 goto end
echo.
pccl \obj\makefont \obj\screen \obj\bitmap \obj\font %pcc%pcio -l%pcc% -o\cgalib\makefont
if errorlevel 1 goto end
echo.
pccl \obj\makebit \obj\screen \obj\bitmap \obj\font %pcc%pcio -l%pcc% -o\cgalib\makebit
if errorlevel 1 goto end

REM -- Copy the modules
copy \obj\screen.o \cgalib
copy \obj\bitmap.o \cgalib
copy \obj\font.o \cgalib

REM -- Copy the headers
copy \inc\cgalib.h \cgalib\inc
copy \inc\screen.h \cgalib\inc
copy \inc\bitmap.h \cgalib\inc
copy \inc\font.h \cgalib\inc

REM -- Copy the sample graphics files
copy \fnt\past.fnt \cgalib\fnt
copy \fnt\present.fnt \cgalib\fnt
copy \fnt\future.fnt \cgalib\fnt
copy \bit\demo.bit \cgalib\bit

REM -- Copy the documentation
copy \doc\cgalib.txt \cgalib\doc

goto end

:cdend
cd ..
:end
echo.
